aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/release-jjb-dab-snapshot
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-05-22 23:44:34 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-05-22 23:44:34 +0200
commit85d08f0f8158741a15b4178bc7797ecd9bf9de35 (patch)
treeb06a623565ad77abccd1b6d3ace92dc70ef1f8c2 /jjb/release-jjb-dab-snapshot
parent61134964b39db8744cd23ff0814fa81db1951dbc (diff)
Add release job for a DD snapshot build.
Change-Id: Ic000c0193d91d134cfab1e0e1895c25954197efd Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/release-jjb-dab-snapshot')
-rw-r--r--jjb/release-jjb-dab-snapshot/include-release-jjb-dab-snapshot-rsync.sh54
-rw-r--r--jjb/release-jjb-dab-snapshot/release-jjb-dab-snapshot.yaml89
2 files changed, 143 insertions, 0 deletions
diff --git a/jjb/release-jjb-dab-snapshot/include-release-jjb-dab-snapshot-rsync.sh b/jjb/release-jjb-dab-snapshot/include-release-jjb-dab-snapshot-rsync.sh
new file mode 100644
index 00000000..50944a8f
--- /dev/null
+++ b/jjb/release-jjb-dab-snapshot/include-release-jjb-dab-snapshot-rsync.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+#set -x
+set -e
+echo "#######################################"
+echo "#######################################"
+ls -alh
+echo "#######################################"
+echo "#######################################"
+tree -L 2
+echo "#######################################"
+echo "#######################################"
+set | grep MACHINE
+echo "#######################################"
+echo "#######################################"
+set
+echo "#######################################"
+echo "#######################################"
+
+cd repoclone/output
+
+export REMOTEDST="/srv/download/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+export RSYNCDST="jenkins-slave@10.30.72.8:${REMOTEDST}"
+export RSYNCSRC=$(pwd)/UPLOAD/
+
+# construct upload folder
+mv UPLOAD UPLOAD2 || true
+rm -rf UPLOAD2 || true
+mkdir -p UPLOAD/${MACHINE}
+export DEST=$(pwd)/UPLOAD/${MACHINE}
+
+# save space ... remove the rpms
+rm -rf tmp/deploy/rpm || true
+
+rsync -avr --progress --delete tmp/deploy $DEST/
+rsync -avr --progress --delete tmp/log $DEST/
+
+cp ../../current_default.xml $DEST/${MACHINE}_repo_default.xml
+cp conf/local.conf $DEST/local.conf
+cp conf/auto.conf $DEST/auto.conf
+echo "$BUILD_URL" > $DEST/jenkins.build.url
+
+tree $DEST
+
+ls -alhR $DEST
+
+echo "would do rsync -avr -e \"ssh -o StrictHostKeyChecking=no\" $RSYNCSRC $RSYNCDST "
+
+if test x"yes" = x"$UPLOAD" ; then
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${REMOTEDST}
+ rsync -avr -e "ssh -o StrictHostKeyChecking=no" $RSYNCSRC $RSYNCDST
+fi
+
+exit 0 \ No newline at end of file
diff --git a/jjb/release-jjb-dab-snapshot/release-jjb-dab-snapshot.yaml b/jjb/release-jjb-dab-snapshot/release-jjb-dab-snapshot.yaml
new file mode 100644
index 00000000..1beb1c6e
--- /dev/null
+++ b/jjb/release-jjb-dab-snapshot/release-jjb-dab-snapshot.yaml
@@ -0,0 +1,89 @@
+---
+- project:
+ name: release-jjb-dab-snapshot
+ jobs:
+ - release-jjb-dab-snapshot
+
+- job-template:
+ name: 'release-jjb-dab-snapshot'
+ project-type: matrix
+ concurrent: false
+ node: control-slave
+
+ parameters:
+ - string:
+ name: GERRIT_PROJECT
+ default: AGL/AGL-repo
+ description: "Project to build"
+ - string:
+ name: GERRIT_BRANCH
+ default: master
+ description: "branch to build"
+ - string:
+ name: GERRIT_REFSPEC
+ default: refs/tags/dab_3.99.1
+ description: "refspec to build"
+ - string:
+ name: RELEASE_VERSION
+ default: 3.99.1
+ description: "release version number for build"
+ - string:
+ name: RELEASE_BRANCH
+ default: dab
+ description: "release branch to build"
+ - string:
+ name: UPLOAD
+ default: yes_or_no
+ description: "Upload?"
+ axes:
+ - axis:
+ type: user-defined
+ name: MACHINE
+ values:
+ - qemux86-64
+ - porter-nogfx
+ - intel-corei7-64
+ - raspberrypi3
+ - dra7xx-evm
+ - axis:
+ type: slave
+ name: label
+ values:
+ - agl-test-slave
+
+ build-discarder:
+ days-to-keep: 30
+ num-to-keep: 40
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+
+ triggers:
+ - gerrit-trigger-patch-submitted-silent:
+ name: 'AGL/AGL-repo'
+ branch: 'refs/tags/dab/**'
+
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ builders:
+ - shell:
+ !include-raw-escape:
+ - ../common/include-agl-header.sh
+ - ../common/include-agl-repo.sh
+ - ../common/include-agl-select.sh
+ - ../common/include-agl-source-aglsetup.sh
+ - ../common/include-agl-auto-conf.sh
+ - ../common/include-agl-limit-parallelism.sh
+ - ../common/include-agl-cat-auto-conf.sh
+ - ../common/include-agl-local-conf-archiver.sh
+ - ../common/include-agl-local-conf-isafw.sh
+ - ../common/include-agl-local-conf-fstypes.sh
+ - ../common/include-agl-local-conf-vmdk.sh
+ - ../common/include-agl-bitbake-image.sh
+ - ../common/include-agl-bitbake-sdk.sh
+ - ../common/include-agl-run-test-prepare.sh
+ - ../common/include-agl-run-test-rsync-release.sh
+ - ../common/include-agl-run-test-short-release.sh
+ - shell:
+ !include-raw-escape: include-release-jjb-dab-snapshot-rsync.sh